> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ag.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Drives

> Retrieve drives for the authenticated organization with pagination



## OpenAPI

````yaml openapi.json get /drives
openapi: 3.1.0
info:
  title: Ag.dev API
  description: Public API for Ag.dev
  version: 0.1.0
servers:
  - url: https://api.ag.dev/v0.1
security: []
tags:
  - name: Agents
    description: Agent management and configuration
  - name: Runs
    description: Agent run execution and monitoring
  - name: Versioning
    description: Agent versioning, revisions, and publishing
  - name: MCP Servers
    description: MCP server management and tool discovery
  - name: Settings
    description: Organization settings and API keys
  - name: Users
    description: User information and authentication
  - name: Drives
    description: Drive management and file operations
  - name: Webhooks
    description: Webhook health checks
paths:
  /drives:
    get:
      tags:
        - Drives
      summary: List Drives
      description: Retrieve drives for the authenticated organization with pagination
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
            description: Maximum number of drives to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            description: Number of drives to skip for pagination
      responses:
        '200':
          description: Paginated list of drives
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriveListResponse'
        '401':
          description: Authentication required
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DriveListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Drive'
          description: Array of drives
        pagination:
          type: object
          properties:
            limit:
              type: integer
              description: Maximum number of items per page
            offset:
              type: integer
              description: Number of items skipped
            total:
              type: integer
              description: Total number of items available
          required:
            - limit
            - offset
            - total
          description: Pagination metadata
      required:
        - data
        - pagination
    Drive:
      type: object
      properties:
        id:
          type: string
          description: Drive ID
        organizationId:
          type: string
          description: Organization ID
        name:
          type: string
          description: Human-readable name for the drive
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        updatedAt:
          type: string
          format: date-time
          description: Last update timestamp
      required:
        - id
        - organizationId
        - name
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Provide either X-API-Key: <key> or Authorization: Bearer <key>'

````